Orgs Tables
Reorder a table field
Move a field to a new global position. Pass field_id for the field being moved and after / before for the neighbor field key. Resequences the table and returns the updated field.
POST
/
orgs
/
{org_id}
/
tables
/
{table_id}
/
fields
/
move
Reorder a table field
curl --request POST \
--url https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"field_id": "<string>",
"after": "<string>",
"before": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields/move"
payload = {
"field_id": "<string>",
"after": "<string>",
"before": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({field_id: '<string>', after: '<string>', before: '<string>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/tables/{table_id}/fields/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"table_id": "<string>",
"key": "<string>",
"schema": {
"type": "file",
"name": "<string>",
"description": "<string>",
"optional": true,
"array": true,
"placeholder": "<string>",
"display": {},
"order": 1,
"link": "<string>",
"metadata": {},
"allowed_modes": [],
"broadcast_field": true,
"integration_field": true,
"display_field": true,
"conditions": [
{
"field": "<string>",
"value": "<unknown>"
}
],
"hidden": true,
"picker": {
"type": "google_drive",
"views": [],
"selectable_mime_types": [
"<string>"
]
},
"requires": [
"<string>"
],
"disable_variables": true,
"allowed_types": [
"<string>"
],
"visibility": "PRIVATE"
},
"readonly": true,
"kind": "system"
}Authorizations
Bearer token authentication using your API key
Body
application/jsonmultipart/form-data
Response
200 - application/json
- Option 1
- Option 2
Available options:
string, number, boolean, date, datetime, enum, file, record, contact, user, chat, segment, assistant The file type allows users to upload files
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
Show child attributes
Show child attributes
Available options:
system Was this page helpful?
⌘I
Reorder a table field
